Bug 1120336 - Cannot delete organizations with repositories
Summary: Cannot delete organizations with repositories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1100311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 18:45 UTC by Partha Aji
Modified: 2018-12-09 18:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:25:47 UTC


Attachments (Terms of Use)

Description Partha Aji 2014-07-16 18:45:37 UTC
Getting an error when I try to delete an organization that has repositories:

<pre>
Could not delete the organization:
  Cannot delete record because of dependent repositories
</pre>

Comment 1 Partha Aji 2014-07-16 18:45:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/6648

Comment 2 Partha Aji 2014-07-16 18:45:40 UTC
Upstream bug assigned to daviddavis@redhat.com

Comment 4 Bryan Kearney 2014-07-16 22:04:35 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6648 has been closed
-------------
David Davis
Applied in changeset commit:katello|772c8cfa51a7efbe5c3205fef445e0a2ea4fd1c4.

Comment 6 sthirugn@redhat.com 2014-07-28 16:06:51 UTC
Verified in UI. But failed in CLI. - Currently blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1100311

hammer> organization delete --id=9
Could not delete the organization:
  Error: The server does not support such operation.

hammer> organization delete --name='orgdelete1'
Could not delete the organization:
  Error: The server does not support such operation.

Version Tested:
Satellite-6.0.4-RHEL-6-20140723.0

Comment 7 sthirugn@redhat.com 2014-07-28 18:32:14 UTC
Verified. I am able to delete an org with repository.  See below.

hammer> organization create --name='orgdelete4'
Organization created

hammer> lifecycle-environment create --name='QA' --organization='orgdelete4' --prior='Library'
Environment created

hammer> activation-key create --name='ak1' --organization='orgdelete4'
Activation key created

hammer> product create --name='product1' --organization='orgdelete4'
Product created

hammer> repository create --name='samrepo1' --url='$valid yum url' --organization='orgdelete4' --product='product1' --content-type='yum'
Repository created

hammer> subscription upload --file='/tmp/manifest.zip' --organization='orgdelete4'
[...........................................................] [100%]
Task 6203fbbc-c58d-446f-901a-be3f80d38ce9: success

hammer> activation-key add-subscription --id=15 --subscription-id='8a8880c547692cd501477e32a44e0785'
Subscription added to activation key

hammer> organization delete --name='orgdelete4'
[...........................................................] [100%]
Task 64a0a644-b108-47c6-ae06-53cee54cb63d: success

Version Tested:
Satellite-6.0.4-RHEL-6-20140723.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.29-1.el6sat.noarch
* foreman-compute-1.6.0.29-1.el6sat.noarch
* foreman-gce-1.6.0.29-1.el6sat.noarch
* foreman-libvirt-1.6.0.29-1.el6sat.noarch
* foreman-ovirt-1.6.0.29-1.el6sat.noarch
* foreman-postgresql-1.6.0.29-1.el6sat.noarch
* foreman-proxy-1.6.0.21-1.el6sat.noarch
* foreman-selinux-1.6.0-8.el6sat.noarch
* foreman-vmware-1.6.0.29-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 9 Bryan Kearney 2014-09-11 12:25:47 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.